package com.inspect.alarmdefect.mapper;

import com.inspect.alarmdefect.domain.AlarmDefect;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AlarmDefectMapper {
    AlarmDefect selectAlarmDefectByLineId(Long lineId);

    List<AlarmDefect> selectAlarmDefectList(AlarmDefect defect);

    int insertAlarmDefect(AlarmDefect defect);

    int updateAlarmDefect(AlarmDefect defect);

    int deleteAlarmDefectByLineId(Long lineId);

    int deleteAlarmDefectByLineIds(Long[] lineIds);
}
